
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch has removed obsolete GIU function call for vr41xx.

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Cc: Ralf Baechle <ralf@linux-mips.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/mips/pci/fixup-tb0219.c |   15 ---------------
 1 files changed, 15 deletions(-)

diff -puN arch/mips/pci/fixup-tb0219.c~mips-remove-obsolete-giu-function-call-for-vr41xx arch/mips/pci/fixup-tb0219.c
--- devel/arch/mips/pci/fixup-tb0219.c~mips-remove-obsolete-giu-function-call-for-vr41xx	2005-08-01 16:54:51.000000000 -0700
+++ devel-akpm/arch/mips/pci/fixup-tb0219.c	2005-08-01 16:54:51.000000000 -0700
@@ -29,27 +29,12 @@ int __init pcibios_map_irq(struct pci_de
 
 	switch (slot) {
 	case 12:
-		vr41xx_set_irq_trigger(TB0219_PCI_SLOT1_PIN,
-				       TRIGGER_LEVEL,
-				       SIGNAL_THROUGH);
-		vr41xx_set_irq_level(TB0219_PCI_SLOT1_PIN,
-				     LEVEL_LOW);
 		irq = TB0219_PCI_SLOT1_IRQ;
 		break;
 	case 13:
-		vr41xx_set_irq_trigger(TB0219_PCI_SLOT2_PIN,
-				       TRIGGER_LEVEL,
-				       SIGNAL_THROUGH);
-		vr41xx_set_irq_level(TB0219_PCI_SLOT2_PIN,
-				     LEVEL_LOW);
 		irq = TB0219_PCI_SLOT2_IRQ;
 		break;
 	case 14:
-		vr41xx_set_irq_trigger(TB0219_PCI_SLOT3_PIN,
-				       TRIGGER_LEVEL,
-				       SIGNAL_THROUGH);
-		vr41xx_set_irq_level(TB0219_PCI_SLOT3_PIN,
-				     LEVEL_LOW);
 		irq = TB0219_PCI_SLOT3_IRQ;
 		break;
 	default:
_
